#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent)
    : QWidget(parent), ui(new Ui::WidgetClass)
{
    ui->setupUi(this);
}

void Widget::mousePressEvent(QMouseEvent *e)
{
    origin = e->pos();
    if (!rubberBand)
    rubberBand = new QRubberBand(QRubberBand::Rectangle, this);
    rubberBand->setGeometry(QRect(origin, QSize()));
    rubberBand->show();
}

void Widget::mouseReleaseEvent(QMouseEvent *e)
{
    rubberBand->hide();
}

void Widget::mouseMoveEvent(QMouseEvent *e)
{
    rubberBand->setGeometry(QRect(origin, e->pos()).normalized());
}

Widget::~Widget()
{
    delete ui;
}
